package com.airfrance.squaleweb.connection;

import com.airfrance.jraf.bootstrap.locator.SpringLocator;

/**
 * Accs au provider de scurit
 */
public class UserBeanAccessorHelper {


    /**
     * Retourne le bean permettant d'accder  l'utilisateur authentifi
     * @return l'accesseur de bean
     */
    public final static IUserBeanAccessor getUserBeanAccessor() {
        IUserBeanAccessor accessor = null;
        SpringLocator springLocator = SpringLocator.getInstance();
        accessor = (IUserBeanAccessor) springLocator.getBean("userBeanAccessor");
        return accessor;
    }

}
