package com.airfrance.squale.utils.javadoc;
import java.util.Map;

import com.sun.tools.doclets.Taglet;
import com.sun.tools.doclets.standard.tags.SimpleTaglet;

/*
 * Cr le 21 sept. 05
 *
 * Pour changer le modle de ce fichier gnr, allez  :
 * Fentre&gt;Prfrences&gt;Java&gt;Gnration de code&gt;Code et commentaires
 */

/**
 * @author M400843
 *
 */
public class SqualeTaglet extends SimpleTaglet {
    /**
     * Liste des cls de tags
     */
    private final static String[] TAGS_KEYS = { "dev_squale", "use", "except", // tags squale 
        "rose_id", // tags rose
        "hibernate_class", // tags hibernate
        "hibernate_subclass",
            "hibernate_mapping",
            "hibernate_discriminator",
            "hibernate_joined-subclass",
            "hibernate_joined-subclass-key",
            "hibernate_cache",
            "hibernate_any",
            "hibernate_any-column",
            "hibernate_jcs-cache",
            "hibernate_query",
            "hibernate_id",
            "hibernate_generator-param",
            "hibernate_property",
            "hibernate_component",
            "hibernate_version",
            "hibernate_timestamp",
            "hibernate_many-to-one",
            "hibernate_many-to-any",
            "hibernate_many-to-any-column",
            "hibernate_one-to-one",
            "hibernate_column",
            "hibernate_set",
            "hibernate_bag",
            "hibernate_list",
            "hibernate_map",
            "hibernate_array",
            "hibernate_primitive-array",
            "hibernate_parent",
            "hibernate_collection-key",
            "hibernate_collection-key-column",
            "hibernate_collection-index",
            "hibernate_index-many-to-many",
            "hibernate_collection-element",
            "hibernate_collection-composite-element",
            "hibernate_collection-many-to-many",
            "hibernate_collection-one-to-many",
            "hibernate_collection-cache",
            "hibernate_collection-jcs-cache" };


    /**
     * Constructeur
     * @param pKey cl du tag
     */
    public SqualeTaglet(String pKey) {
        super(JavadocMessages.getTagName(pKey), JavadocMessages.getDescription(pKey), JavadocMessages.getScope(pKey));
//        System.out.println(JavadocMessages.getTagName(pKey)+ " / " + JavadocMessages.getDescription(pKey) + " / " + JavadocMessages.getScope(pKey));
    }

    /**
     * Register this Taglet.
     * @param pTagletMap  the map to register this tag to.
     */
    public static void register(Map pTagletMap) {
        for (int i = 0; i < TAGS_KEYS.length; i++) {
            SqualeTaglet tag = new SqualeTaglet(TAGS_KEYS[i]);
            Taglet t = (Taglet) pTagletMap.get(tag.getName());
            if (t != null) {
                pTagletMap.remove(tag.getName());
            }
            pTagletMap.put(tag.getName(), tag);
        }
    }
}
