package com.airfrance.squalecommon.datatransfertobject.message;

import java.util.Collection;
import java.util.Date;

/**
 * 
 *
 */
public class NewsDTO {

    /** la cl de la news */
    private String key;

    /** la date de dbut de validit de la news*/
    private Date beginningDate;

    /** la date de fin de validit de la news */
    private Date endDate;

    /** la collection des messages associs */
    private MessageDTO message;

    /** La liste des langues disponibles pour crire un message */
    private Collection langSet;

    /**
     * Identifiant (au sens technique) de l'objet
     */
    private long mId;

    /**
     * 
     * @return l'id
     */
    public long getId() {
        return mId;
    }

    /**
     * @param newId le nouvel id
     */
    public void setId(long newId) {
        mId = newId;
    }

    /**
     * @return la date de dbut de validit
     */
    public Date getBeginningDate() {
        return beginningDate;
    }

    /**
     * @return la date de fin de validit
     */
    public Date getEndDate() {
        return endDate;
    }

    /**
     * @return la cl
     */
    public String getKey() {
        return key;
    }

    /**
     * @param newBeginningDate la nouvelle date de dbut de validit
     */
    public void setBeginningDate(Date newBeginningDate) {
        beginningDate = newBeginningDate;
    }

    /**
     * @param newEndDate la nouvelle date de fin
     */
    public void setEndDate(Date newEndDate) {
        endDate = newEndDate;
    }

    /**
     * @param newKey la nouvelle cl
     */
    public void setKey(String newKey) {
        key = newKey;
    }

    /**
     * @return la collection des messages
     */
    public MessageDTO getMessage() {
        return message;
    }

    /**
     * @param newMessage la nouvelle collection de messages
     */
    public void setMessage(MessageDTO newMessage) {
        message = newMessage;
    }

    /**
     * @return la liste des lang
     */
    public Collection getLangSet() {
        return langSet;
    }

    /**
     * @param newLangSet la nouvelle liste des langues disponibles
     */
    public void setLangSet(Collection newLangSet) {
        langSet = newLangSet;
    }
}
