package com.airfrance.squalecommon.enterpriselayer.applicationcomponent;

import com.airfrance.squalecommon.util.messages.BaseMessages;

/**
 * @author M400843
 *
 */
public class ACMessages extends BaseMessages {
    /** Instance */
    static private ACMessages mInstance = new ACMessages();

    /**
     * Constructeur par dfaut. Priv pour viter l'instanciation.
     */
    private ACMessages() {
        super("com.airfrance.squalecommon.enterpriselayer.applicationcomponent.ac_messages");
    }

    /**
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @return la chane associe.
     */
    public static String getString(String pKey) {
        return mInstance.getBundleString(pKey);
    }

    /**
     * 
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @param pValues les valeurs  insrer dans la chaine
     * @return la chane associe.
     */
    public static String getString(String pKey, String[] pValues) {
        return mInstance.getBundleString(pKey, pValues);
    }
}
