package com.airfrance.squalix.tools.computing;

import com.airfrance.squalecommon.util.messages.BaseMessages;

/**
 * @author M400843
 *
 */
public class ComputingMessages extends BaseMessages {
    /** Instance */
    static private ComputingMessages mInstance = new ComputingMessages();

    /**
     * Constructeur par dfaut. Priv pour viter l'instanciation.
     */
    private ComputingMessages() {
        super("com.airfrance.squalix.tools.computing.computing_messages");
    }

    /**
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @return la chane associe.
     */
    public static String getString(String pKey) {
        return mInstance.getBundleString(pKey);
    }

    /**
     * 
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @param pValues les valeurs  insrer dans la chaine
     * @return la chane associe.
     */
    public static String getString(String pKey, String[] pValues) {
        return mInstance.getBundleString(pKey, pValues);
    }

}
