package com.airfrance.squalix.tools.jdepend;

import com.airfrance.squalecommon.util.messages.BaseMessages;

/**
 * Messages pour la tche ckjm
 */
public class JDependMessages extends BaseMessages {
    /** Instance */
    static private JDependMessages mInstance = new JDependMessages();

    /**
     * Constructeur par dfaut. Priv pour viter l'instanciation.
     */
    private JDependMessages() {
        super("com.airfrance.squalix.tools.jdepend.jdepend");
    }

    /**
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @return la chane associe.
     */
    public static String getString(String pKey) {
        return mInstance.getBundleString(pKey);
    }
}
