package com.airfrance.squalix.tools.macker;

import com.airfrance.squalecommon.util.messages.BaseMessages;

/**
 * Messages pour la tche Macker
 */
public class MackerMessages extends BaseMessages {
    /** Instance */
    static private MackerMessages mInstance = new MackerMessages();

    /**
     * Constructeur par dfaut. Priv pour viter l'instanciation.
     */
    private MackerMessages() {
        super("com.airfrance.squalix.tools.macker.macker");
    }

    /**
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @return la chane associe.
     */
    public static String getString(String pKey) {
        return mInstance.getBundleString(pKey);
    }
}
