package com.airfrance.squalix.tools.umlquality;

import com.airfrance.squalecommon.util.messages.BaseMessages;

/**
 * 
 * @author sportorico
 *
 */
public class UMLQualityMessages extends BaseMessages {
    /** Instance */
    static private UMLQualityMessages mInstance = new UMLQualityMessages();

    /**
     * Constructeur priv pour viter l'instanciation
     * 
     */
    private UMLQualityMessages() {
        super("com.airfrance.squalix.tools.umlquality.umlquality");
    }

    /**
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @return la chane associe.
     * 
     */
    public static String getString(String pKey) {
        return mInstance.getBundleString(pKey);
    }

    /**
         * 
         * Retourne la chane de caractre identifie par la cl.
         * @param pKey nom de la cl.
         * @param pValues les valeurs  insrer dans la chaine
         * @return la chane associe.
         */
    public static String getString(String pKey, Object[] pValues) {
        return mInstance.getBundleString(pKey, pValues);
    }

    /**
     * @param pKey clef
     * @param pArgument argument
     * @return chane associe
     */
    public static String getString(String pKey, Object pArgument) {
        return getString(pKey, new Object[] { pArgument });
    }
}
