package com.airfrance.squale.builder.eclipse32.actions;

/** Les constantes utilises */
public interface BuildWorkspaceConstants {

	/**
	 * Le path indiquane un JREContainer dans le classpath Correspond  la
	 * variable JavaRuntime.JRE_CONTAINER (pas utils car classe non trouv lors
	 * du lancement du plugin)
	 */
	public static final String JRE_CONTAINER = "org.eclipse.jdt.launching.JRE_CONTAINER";

    /** Container faisant rfrence au manifest.mf du projet */
	public static final String MANIFEST_CONTAINER = "org.eclipse.jst.j2ee.internal.module.container";

    /** Container faisant rfrence au librairies du contenues dans le rpertoire WEB-INF/lib */
	public static final String WEB_LIB_CONTAINER = "org.eclipse.jst.j2ee.internal.web.container";

	/** Liste des chemins vers les projets  ajouter au workspace */
	public static final String LIST_PROJECTS_PATH = "-projects";

	/** Sparateur des chemins */
	public static final String OPTION_LIST_SEP = ";";

	/** Sparateur des variables */
	public static final String OPTION_VAR_SEP_REGEXP = "\\|";

	/** Sparateur entre la variable et la liste des ses librairies */
	public static final String OPTION_VAR_LIST_SEP = "=";

	/** La version de java */
	public static final String DIALECT = "-dialect";

	/** La liste des jars des JRE  ajouter au classpath */
	public static final String SUN_LIBRAIRIES = "-sunLibs";

	/** La liste des variables  dfinir */
	public static final String VAR_LIBRAIRIES = "-vars";

	/** La liste des librairies  dfinir */
	public static final String USER_LIBRAIRIES = "-userLibs";

	/** Les patterns exclus */
	public static final String EXCLUSION_PATTERNS = "-excluded";

	/** L'aide */
	public static final String HELP = "-help";

	/** La version */
	public static final String VERSION = "-version";

	/** La constante dsignant le log du classpath */
	public static final String CLASSPATH_KEY = "CLASSPATH=";

	/** La constante dsignant le log des rpertoires de sortie */
	public static final String OUTPUTS_KEY = "OUTPUT_DIRS=";

	/** Les arguments obligatoires */
	public static final String[] MANDATORY_OPTIONS = new String[] {
			LIST_PROJECTS_PATH, SUN_LIBRAIRIES};

}
