package com.airfrance.squale.builder.eclipse32.exception;

/**
 * Gestion des exception du plugin
 */
public class BuilderException extends Exception {

	/**
	 * Id gnr
	 */
	private static final long serialVersionUID = -2440963198245195197L;

	/**
	 * Constructeur par dfaut
	 */
	public BuilderException() {
		super();
	}

	/**
	 * Construit une erreur en idiquant le message et la cause
	 * @param message le message
	 * @param cause l'exception
	 */
	public BuilderException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Construit une erreur en indiquant un message
	 * @param message
	 */
	public BuilderException(String message) {
		super(message);
	}

	/**
	 * Construit une erreur  partir d'une erreur
	 * @param cause l'erreur
	 */
	public BuilderException(Throwable cause) {
		super(cause);
	}
}
